%define api_version 1
%define lib_major 16
%define startup_notification_version 0.4
%define lib_name %mklibname wnck- %{api_version} %{lib_major}

Summary: Libwnck is Window Navigator Construction Kit
Name: libwnck
Version: 2.10.3
Release: 3mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 2.10.3-2mdk fix flickering when moving windows across workspaces (CVS)
Patch0: libwnck-2.10.3-fixflicker.patch.bz2
# (fc) 2.10.3-3mdk fix icon used for selector (CVS)
Patch1: libwnck-2.10.3-fixicon.patch.bz2
# (fc) 2.10.3-3mdk fix memory leak (CVS)
Patch2: libwnck-2.10.3-fixleak.patch.bz2
# (fc) 2.10.3-3mdk improve attention demand notification (CVS)
Patch3: libwnck-2.10.3-attentionglow.patch.bz2
# (fc) 2.10.3-3mdk fix EWMH implementation (CVS)
Patch4: libwnck-2.10.3-fixehwm.patch.bz2
# (fc) 2.10.3-3mdk fix transient window activation (CVS)
Patch5: libwnck-2.10.3-transientactivation.patch.bz2

License: LGPL
URL: http://www.gnome.org/
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: gtk+2-devel >= 2.1
BuildRequires: startup-notification-devel >= %{startup_notification_version}

#ugly stuff to update old libwnck
Obsoletes: %{name}-1_1
Provides: %{name}-1_1

%description
libwnck is Window Navigator Construction Kit, i.e. a library to use
for writing pagers and taskslists and stuff.

%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}

Provides:	%{name}-%{api_version} = %{version}-%{release}
Requires:	%{name} >= %{version}
Requires:   libstartup-notification-1 >= %{startup_notification_version}

%description -n %{lib_name}
libwnck is Window Navigator Construction Kit, i.e. a library to use
for writing pagers and taskslists and stuff.

%package -n %{lib_name}-devel
Summary:	Static libraries, include files for libwnck
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-%{api_version}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	gtk+2-devel >= 2.1
Requires:	startup-notification-devel >= %{startup_notification_version}
Conflicts:	%{_lib}wnck-1_4-devel

%description -n %{lib_name}-devel
libwnck is Window Navigator Construction Kit, i.e. a library to use
for writing pagers and taskslists and stuff.

%prep
%setup -q
%patch0 -p1 -b .fixflicker
%patch1 -p1 -b .fixicon
%patch2 -p1 -b .fixleak
%patch3 -p1 -b .attentionglow
%patch4 -p1 -b .fixehwm
%patch5 -p1 -b .transientactivation

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{lib_name}
%postun -p /sbin/ldconfig -n %{lib_name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/libwnck
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*

%changelog
* Sun Aug 28 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.3-3mdk 
- Patch1 (CVS): fix icon used for window selector
- Patch2 (CVS): fix memleak
- Patch3 (CVS): improve attention demand notification
- Patch4 (CVS): fix EWHM implemention
- Patch5 (CVS): fix transient window activation

* Sun Aug 28 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.3-2mdk 
- Patch0 (CVS): fix flicker when moving window across workspaces

* Mon Jul 25 2005 Gtz Waschk <waschk@mandriva.org> 2.10.3-1mdk
- New release 2.10.3

* Tue Jun 28 2005 Gtz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- New release 2.10.2

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-2mdk 
- Add conflicts to easy upgrade

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-1mdk 
- Release 2.10.0 (from Gtz Waschk package)

* Sun Mar 20 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-2mdk 
- Patch0 (CVS): various bug fixes 

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- New release 2.8.1
- Remove patches 0, 1, 2 (merged upstream)

* Tue Sep 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2.1-2mdk
- Patch0 (CVS): fix move to workspace X when window is on all workspaces
- Patch1 (CVS): fix focus when unminimizing from menu
- Patch2 (CVS): fix extents size for accessible API

* Tue Jul  6 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.2.1-1mdk
- New release 2.6.2.1

* Tue Jun 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- reenable libtoolize
- New release 2.6.2

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- drop the patch (merged)
- New release 2.6.1

* Mon Apr 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.1-1mdk
- Release 2.6.0.1 (with Gtz help)

* Fri Jan 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.1-3mdk
- Patch0: fix random position on large screen (Mdk bug #5938)

* Thu Sep 18 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.4.0.1-2mdk
- fix deps, maintainer is not capable to be consistent throughtout the spec

* Thu Sep 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.1-1mdk
- Release 2.4.0.1

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.1-3mdk
- Fix Buildrequires

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.1-2mdk
- Recompiled for latest dependencies

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.1-1mdk
- Release 2.3.1

* Mon Apr 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.0-1mdk
- Release 2.3.0

* Thu Feb  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-1mdk
- Release 2.2.1

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Fri Jan 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90-1mdk
- Release 2.1.90

* Thu Dec  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Tue Nov 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Mon Aug 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.17-1mdk
- Release 0.17

* Fri Aug  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-1mdk
- Release 0.16

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15-1mdk
- Release 0.15

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14-1mdk
- Release 0.14

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13-1mdk
- Release 0.13

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-1mdk
- Release 0.10

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Release 0.9

* Wed Apr 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8

* Mon Mar 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Initial Mdk package


# end of file
